// eslint-disable-next-line no-unused-vars
import React from 'react';
import PropTypes from 'prop-types';
// eslint-disable-next-line no-unused-vars
import { DatePicker } from 'antd';

const TimePicker = (props) => {
  return <DatePicker {...props} />;
};

TimePicker.defaultProps = {
  allowClear: true,
  bordered: true,
  className: 'panda-TimePicker',
  format: 'YYYY-MM-DD HH:mm:ss',
  showTime: true,
  picker: 'date',
};

TimePicker.propTypes = {
  allowClear: PropTypes.bool, // 是否展示清除按钮
  bordered: PropTypes.bool, // 是否显示边框
  className: PropTypes.string, // 类名称
  format: PropTypes.string, // 格式
  showTime: PropTypes.bool, // 是否增加具体时间选择功能
  picker: PropTypes.oneOf(['date', 'week', 'month', 'quater', 'year']), // 设置选择器类型
};

export default TimePicker;
