---
title: TimePicker - 时间选择器
nav:
  title: 组件
  path: /components
group:
  path: /
---

# TimePicker 时间选择器

起止时间选择。

# 何时使用

- 完整的时间控件，支持多种时间格式，以及按照 `天`、`周`、`月`、`季度`展示 。

## 日期+时间

时间格式按照`YYYY-MM-DD HH:mm:ss`展示。

<code src="./index.js">

## 只展示日期，不展示时间

时间格式按照`YYYY-MM-DD`展示。

<code src="./demos/noTime.js">

## 按月展示

时间格式按照`YYYY-MM`展示。

<code src="./demos/month.js">

## 起止时间选择

起止时间选择。

<code src="./demos/doublePickers.js">

## API

### TimePicker

| 参数 | 说明 | 类型 | 默认值 | 版本 |
| --- | --- | --- | --- | --- |
| allowClear | 是否展示清除按钮 | boolean | true |  |
| bordered | 是否展示边框 | boolean | true |  |
| format | 设置日期格式，为数组时支持多格式匹配，展示以第一个为准。配置参考 <a href="http://momentjs.com/">moment.js</a>，支持自定义格式 | string | YYYY-MM-DD HH:mm:ss |  |
| showTime | 是否展示具体时间 | boolean | true |  |
| picker | 设置选择器类型 | `date/ week/ month/quarter/year` | date |  |
